| Home | Libraries | People | FAQ | More

###### identifier::identifier (2 of 3 overloads)

Constructs an identifier with a single qualifier.

###### Synopsis

    constexpr
    identifier(
        string_view qualifier,
        string_view id);

###### Description

Identifiers with one qualifier are used for field, table and view names. The qualifier identifies the parent object. For instance, `identifier("table_name", "field_name")` maps to:

    "`table_name`.`field_name`"

###### Exception safety

No-throw guarantee.